
Foreman - Bug #16089

jquery-rails gem installed by flot-rails

08/12/2016 06:29 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3727

  

Description

Since #12364 moved jquery from the jquery-rails gem to npm, the jquery-rails gem dependency has remained indirectly because the

flot-rails gem depends on it. This should be removed so we can entirely remove the corresponding RPM package.

flot-rails is currently on version 0.0.3, which ships flot 0.8.0. This can be switched to the npm jquery-flot module instead, which

currently provides 0.8.3.

Associated revisions

Revision 551407c2 - 08/15/2016 03:32 AM - Dominic Cleal

fixes #16089 - replace flot-rails with npm jquery-flot

Revision ab34e1dc - 08/15/2016 08:26 AM - Dominic Cleal

refs #16089 - replace flot-rails with jquery-flot

History

#1 - 08/12/2016 06:33 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3727 added

#2 - 08/15/2016 04:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 551407c293a9b60cc39e319d108f97e47dcb06b1.

#3 - 08/15/2016 07:34 AM - Dominic Cleal

- translation missing: en.field_release set to 160
